Bug 741306 - rpmlint complains of wso2 shared libraries calling exit
Summary: rpmlint complains of wso2 shared libraries calling exit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-aviary
Version: Development
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Pete MacKinnon
QA Contact: Martin Bukatovic
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 14:33 UTC by Robert Rati
Modified: 2013-05-06 13:52 UTC (History)
7 users (show)

Fixed In Version: wso2-wsf-cpp-2.1.0-8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-06 13:52:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Robert Rati 2011-09-26 14:33:22 UTC
Description of problem:
rpmlint complains that 2 shared libraries in the wso2 package call exit, and it so happens those libraries are ones we ship.

wso2-axis2.x86_64: W: shared-lib-calls-exit /usr/lib64/libaxutil.so.0.4.0 exit@GLIBC_2.2.5
wso2-wsf-cpp.x86_64: W: shared-lib-calls-exit /usr/lib64/libwso2_wsf.so.0.0.0 exit@GLIBC_2.2.5

These have existed in the original code base from our fist packaging, but it would be nice to clean this up.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthew Farrellee 2011-12-09 21:07:18 UTC
libwso2_wsf.so's exit comes from src/main/Environment.cpp in two places:
 . Environment::getEnv when axutil_env_create_all returns NULL, which could happen if wsf_c/axis2c/util/src/env.c's axutil_env_create_with_error_log_thread_pool returns NULL, except axutil_env_create_all will seg fault before returning NULL
 . Environment::initialize, in the same situation as getEnv above

libaxutil.so's exit comes from wsf_c/axis2c/util/src/dir_handler.c's axutil_dir_handler_list_service_or_module_dirs if AXIS2_GETCWD (#define'd to getcwd on unix and _getcwd on windows) fails. The getcwd buffer has a static size of 500.

Comment 5 Martin Bukatovic 2013-04-25 12:32:19 UTC
Tested on RHEL 5.9/6.4 - i386/x86_64
for packages: wso2-wsf-cpp-2.1.0-10 wso2-axis2-2.1.0-10

# rpmlint  wso2-wsf-cpp-2.1.0-10.el5.i386.rpm wso2-axis2-2.1.0-10.el5.i386.rpm  
wso2-wsf-cpp.i386: W: obsolete-not-provided wso2-rampart
wso2-wsf-cpp.i386: W: one-line-command-in-%post /sbin/ldconfig
wso2-wsf-cpp.i386: W: one-line-command-in-%postun /sbin/ldconfig
wso2-axis2.i386: W: one-line-command-in-%post /sbin/ldconfig
wso2-axis2.i386: W: one-line-command-in-%postun /sbin/ldconfig
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

# rpmlint  wso2-wsf-cpp-2.1.0-10.el6.i686.rpm wso2-axis2-2.1.0-10.el6.i686.rpm 
wso2-wsf-cpp.i686: W: spelling-error %description -l en_US SecurityPolicy -> Security Policy, Security-policy, Security
wso2-wsf-cpp.i686: W: obsolete-not-provided wso2-rampart
wso2-wsf-cpp.i686: W: one-line-command-in-%post /sbin/ldconfig
wso2-wsf-cpp.i686: W: one-line-command-in-%postun /sbin/ldconfig
wso2-axis2.i686: W: one-line-command-in-%post /sbin/ldconfig
wso2-axis2.i686: W: one-line-command-in-%postun /sbin/ldconfig
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

There is no warning shared-lib-calls-exit on any of tested platform/versions.

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.